<?xml version='1.0' encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1" />
<xsl:param name="sesionId"/>

	<xsl:template match="/">
	<xsl:comment><![CDATA[     RSisSelPagosNew ]]></xsl:comment>

		<html>
			<head>
				<link rel="StyleSheet" href="/sis/estilos/9999.css" type="text/css" />
				<script type="text/javascript" src="/sis/javascript/utilSis.js" language="JavaScript"/>				
				<script type="text/javascript" language="JavaScript">
					// Definicicin e inicializacin de vasriables 
					
					// Para la lnea de estado
					status="Per favor, Seleccioni un Mtode de Pagament";			

					// Para el CVV2
					var indicadorCVV2 = <xsl:value-of disable-output-escaping="yes" select="/RETORNOXML/SESION/RegTZF/CZFMPANT"/>;
									
					function validar()
					{
						var datosTarjeta = 0;
						
						if(document.formTarjeta)
						{
							if(document.formTarjeta.Sis_Numero_Tarjeta.value.length != 0 ||
							   document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.value.length != 0 ||
							   document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.value.length != 0)
							   	datosTarjeta = 1;
						}
						
						if(datosTarjeta == 0)
						{
							alert("Ha d'emplenar les dades de la targeta");
							decideFoco();
							return;
						}
						
						if(datosTarjeta == 1)
							validaFormTarjeta();
					}
		
					function validaFormTarjeta()
					{
						if (validaPagoConTarjeta())
						{
							ocultaBoton();
							fProcesandoPeticion('S');
							//document.formTarjeta.action="/sis/pagoTarjeta<xsl:value-of select="$sesionId"/>";
							document.formTarjeta.submit();
						}
					}
		
					function validaPagoConTarjeta()
					{ // Validaciones del nmero de tarjeta y de la fecha de caducicdad
			
						var laTarjeta = document.formTarjeta.Sis_Numero_Tarjeta.value;
						var mesCaduc  = document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.value;
						var yearCaduc = document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.value;
							
						// Validamos que el nmero de tarjeta no est vaco
						if (laTarjeta == "")
						{
							alert("La targeta s obligatria");
							document.formTarjeta.Sis_Numero_Tarjeta.focus();
							return false;
						}
						
						// Para validar si es numrico, primero se sustituyen los blancos por # y luego se valida
						laTarjeta = laTarjeta.replace(' ','#');
						if (isNaN(laTarjeta))
						{
							alert("La targeta ha de ser numrica");
							document.formTarjeta.Sis_Numero_Tarjeta.select();
							document.formTarjeta.Sis_Numero_Tarjeta.focus();
							return false;
						}
			
						// Se valida que la tarjeta no sea negativa
						if (laTarjeta &lt; 0)
						{
							alert("La targeta no pot ser negativa");
							document.formTarjeta.Sis_Numero_Tarjeta.select();
							document.formTarjeta.Sis_Numero_Tarjeta.focus();
							return false;
						}
			
						// Se valida que la tarjeta tenga 16 caracteres com minimo
/*						if (laTarjeta.length &lt; 16)
						{
							alert("La targeta ha de tenir almenys 16 dgits");
							document.formTarjeta.Sis_Numero_Tarjeta.select();
							document.formTarjeta.Sis_Numero_Tarjeta.focus();
							return false;
						}
*/			
						// Validamos que el mes de caducidad de la tarjeta no est vaco
						if (mesCaduc == "")
						{
							alert("El mes de caducitat de la targeta s obligatori");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.focus();
							return false;
						}
			
						// Para validar si es numrico, primero se sustituyen los blancos por # y luego se valida
						mesCaduc = mesCaduc.replace(' ','#');
						if (isNaN(mesCaduc))
						{
								alert("El mes de caducitat de la targeta ha de ser numric");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.select();
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.focus();
							return false;
						}
			
						// Se valida que el mes de caducidad est entre 1 y 12
						if (!(mesCaduc &gt;= 1 &amp;&amp; mesCaduc &lt;= 12))
						{
							alert("El mes de caducitat de la targeta s incorrecte");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.select();
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.focus();
							return false;
						}
			
						//Se le ponen dos digitos al mes si el usuario no los ha puesto
						if (mesCaduc.length == 1)
							document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.value = "0" +
																	document.formTarjeta.Sis_Caducidad_Tarjeta_Mes.value;
			
						// Validamos que el ao de caducidad de la tarjeta no est vaco
						if (yearCaduc == "")
						{
							alert("L'any de caducitat de la targeta s obligatori");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.focus();
							return false;
						}
			
						// Para validar si es numrico, primero se sustituyen los blancos por # y luego se valida
						yearCaduc = yearCaduc.replace(' ','#');
						if (isNaN(yearCaduc))
						{
							alert("L'any de caducitat de la targeta ha de ser numric");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.select();
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.focus();
							return false;
						}
			
						// Se valida que el ao de caducidad no sea negativo
						if (yearCaduc &lt; 0)
						{
							alert("L'any de caducitat de la targeta no pot ser negatiu");
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.select();
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.focus();
							return false;
						}
			
						//Se le ponen dos digitos al ao si el usuario no los ha puesto
						if (yearCaduc.length == 1)
							document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.value = "0" + document.formTarjeta.Sis_Caducidad_Tarjeta_Anno.value;
										
				<!-- MODIFICACION IRJ 21-03-2006 -->
						if(document.formTarjeta.Sis_Tarjeta_CVV2)
						{
							if(!validaCVV2(laTarjeta, document.formTarjeta.Sis_Tarjeta_CVV2))
								return false;
						}
				<!-- FIN MODIFICACION IRJ 21-03-2006 -->
					
						return true;
					}
				
				
				<!-- MODIFICACION IRJ 21-03-2006 -->		
					function validaCVV2(tarjeta, campoCVV2)
					{
						var isAMEX = esAMEX(tarjeta);
						var isDINERS = esDINERS(tarjeta);
						var longitudMin = 3;
						var longitudMax = 3;
						var isValidable = false;
						isValidable = (isAMEX || isDINERS || esMaster(tarjeta) || esVisa(tarjeta));
						
						if(isAMEX) // Para AMEX son 4 posiciones en el CVV2
							longitudMax = 4;
						
						var cvv2 = trim(campoCVV2.value);
						
						// Se valida el cdigo de seguridad
						if(isValidable)
						{
							if(indicadorCVV2 == 4 || cvv2 != "")
							{
								if (cvv2.length &lt; longitudMin || cvv2.length &gt; longitudMax)
								{
									alert("El codi de seguretat de la targeta ha de tenir " + longitudMax + " xifres");
									campoCVV2.select();
									campoCVV2.focus();
									return false;
								}
								
								cvv2 = cvv2.replace(' ','#');
								if (isNaN(cvv2))
								{
									alert("El codi de seguretat de la targeta ha de ser numric");
									campoCVV2.select();
									campoCVV2.focus();
									return false;
								}
								// Se valida que el cdigo de seguridad no sea negativo
								if (cvv2 &lt; 0)
								{
									alert("El codi de seguretat de la targeta no pot ser negatiu");
									campoCVV2.select();
									campoCVV2.focus();
									return false;
								}
							}
						}
						else if(!isValidable &amp;&amp; cvv2 != "")
						{
							alert("El cdigo de seguridad no es necesario para su tarjeta");
							campoCVV2.select();
							campoCVV2.focus();
							return false;	
						}
						
						campoCVV2.value = cvv2;
						return true;
					}
					
				
					function trim(cadena)
					{
						for(i=0; i&lt;cadena.length; )
						{
							if(cadena.charAt(i)==" ")
								cadena=cadena.substring(i+1, cadena.length);
							else
								break;
						}
						for(i=cadena.length-1; i&gt;=0; i=cadena.length-1)
						{
							if(cadena.charAt(i)==" ")
								cadena=cadena.substring(0,i);
							else
								break;
						}
						return cadena;
					}

					function esVisa(laTarjeta) // VISAs empiezan por 4
					{
						var tipoTarjeta = laTarjeta.substr(0,1);
						if(tipoTarjeta == 4)
							return true;
						else
							return false;
					}
					function esMaster(laTarjeta) // MASTERs empiezan por 5 y 6
					{
						var tipoTarjeta = laTarjeta.substr(0,1);
						if(tipoTarjeta == 5 || tipoTarjeta == 6)
							return true;
						else
							return false;
					}
					function esAMEX(laTarjeta) // AMEX son de 15 digitos y empiezan por 34 o 37
					{
						laTarjeta = trim(laTarjeta);
						var tipoTarjeta = laTarjeta.substr(0,2);
						if((tipoTarjeta == 34 || tipoTarjeta == 37) &amp;&amp; laTarjeta.length == 15)
							return true;
						else
							return false;
					}
					function esDINERS(laTarjeta) // DINERS son de 14 digitos y empiezan por 36
					{
						laTarjeta = trim(laTarjeta);	
						var tipoTarjeta = laTarjeta.substr(0,2);
						if(tipoTarjeta == 36 &amp;&amp; laTarjeta.length == 14)
							return true;
						else
							return false;
					}
					function esJCB(laTarjeta) // JCB son de 16 digitos y empiezan por 35
					{
						laTarjeta = trim(laTarjeta);
						var tipoTarjeta = laTarjeta.substr(0,2);
						if(tipoTarjeta == 35 &amp;&amp; laTarjeta.length == 16)
							return true;
						else
							return false;
					}
				<!-- FIN MODIFICACION IRJ 21-03-2006 -->
				
				
					function ventanaInfoVisa1()
					{
						window.open("/sis/html/verifiedByVisa1.html","Info","width=500,height=500");	
					}
					
					function load()
					{
						if (document.formTarjeta)
							fLoad(this);
					}
					
					function ventanaInfoVisa1()
					{
						window.open("/sis/html/verifiedByVisa1.html","Info","width=500,height=500");	
					}
					
					
					function ventanaInfoCVV2()
					{
						window.open("/sis/html/ayudaCVV2_3.html","Info","width=430,height=370");	
					}
					
				</script>
			</head>
			
			<body background="/sis/graficos/fondos/9999vaciofondo.jpg" onload="load(this)">
		    	<xsl:apply-templates select="//RETORNOXML" /> 
		   </body>
		</html>
	</xsl:template>
	<xsl:template match="RETORNOXML">
		<br/>
		<center>
			<table cellpadding="0" cellspacing="0" border="0" >
				<tr>
					<td align="left" width="450">
						<img border="0" src= "/sis/graficos/literales/9999tpv3.gif">
						</img>
					</td>
										
					<td align="left" width="400">
						<table cellpadding="0" cellspacing="0" border="0" >
							<tr>
								<td>
									&#160;
								</td>
								
								<!-- PARA REFERENCIAR LA LISTA DE METODOS DE PAGO -->
								<xsl:variable name="metodosPago"><xsl:value-of select="SESION/listaCZ5LPAGOs"/></xsl:variable>
								
								<!-- LOGOS de MASTER -->
								<xsl:if test="(contains($metodosPago,'#22#') or contains($metodosPago,'#3#') or contains($metodosPago,'#5#'))">
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/MasterCard1.jpg" />
									</td>
									<td>
										&#160;
									</td>
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/Maestro1.jpg" />
									</td>
									<td>
										&#160;
									</td>
								</xsl:if>
								
								<!-- LOGOS de VISA -->
								<xsl:if test="(contains(SESION/listaCZ5LPAGOs,'#1#') or contains(SESION/listaCZ5LPAGOs,'#3#') or contains(SESION/listaCZ5LPAGOs,'#5#'))">
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/Visa1.jpg" />
									</td>
									<td>
										&#160;
									</td>
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/VisaElectron1.jpg" />
									</td>
									<td>
										&#160;
									</td>
								</xsl:if>
								
								<!-- LOGO de JCB -->
								<xsl:if test="contains(SESION/listaCZ5LPAGOs,'#28#')">
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/JCB1.gif" />
									</td>
									<td>
										&#160;
									</td>
								</xsl:if>
								
								<!-- LOGO de DINERS -->
								<xsl:if test="contains(SESION/listaCZ5LPAGOs,'#31#')">
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/DINERS1.gif" />
									</td>
									<td>
										&#160;
									</td>
								</xsl:if>
								
								<!-- LOGO de AMEX -->
								<xsl:if test="contains(SESION/listaCZ5LPAGOs,'#24#')">
									<td>
										<img border="0" src="/sis/graficos/logotipos/comunes/AMEX1.gif" />
									</td>
									<td>
										&#160;
									</td>
								</xsl:if>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</center>
 		<br/>
		<center>
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" width="330" border="0" align="center" >
							<tr>
								<td>
									<font class="titulo">
										&#160;
									</font>
								</td>
							</tr>
							<tr>
								<td align="center">
									<b>
										<font class="titulo">
											&#160; DETALLS DEL PAGAMENT
										</font>
									</b> <br/>
								</td>
							</tr>
							<tr>
								<td>
									<font class="titulo">
										&#160;
									</font>
								</td>
							</tr>
							<tr>
								<td align="center">
									<table cellpadding="0" cellspacing="0" width="330" border="3" height="160" bordercolor="#006B2F">
										<tr>
											<td>
												<table cellpadding="0" cellspacing="0" border="0">
													<tr>
														<td colspan="4">
															&#160;
														</td>
													</tr>
						
													<!-- IMPORTE -->
													<tr>
														<td width="10%">&#160;</td>
														<td align="left" class="letra" width="25%">
															&#160;Import
														</td>
														<td width="1%">&#160;</td>
														<td width="64%" align="left" class="letra">
															<xsl:value-of select="SESION/CZEJIMSO" />
															&#160;
															<xsl:value-of select="DATOSFORMRESPUESTA/LITMONEDA" />
														</td>
													</tr>
						
													<!-- NOMBRE COMERCIO -->
													<tr>
														<td>&#160;</td>
														<td align="left" class="letra">
															&#160;Comer
														</td>
														<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
														<td align="left" class="letra">
															<xsl:value-of select="SESION/Ds_Merchant_MerchantName"/>
														</td>
													</tr>
						
													<!-- NUMERO PEDIDO -->
													<tr>
														<td>&#160;</td>
														<td align="left" class="letra">
															&#160;Comanda
														</td>
														<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
														<td align="left" class="letra">
															<xsl:value-of select="SESION/CZECNPED" /> 
														</td>
													</tr>
													
													<!-- FECHA -->
													<tr>
														<td>&#160;</td>
														<td align="left" class="letra">
															&#160;Data
														</td>
														<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
														<td align="left" class="letra">
															<xsl:value-of select="substring(DATOSFORMRESPUESTA/FECHA,5,2)"/>
															/
															<xsl:value-of select="substring(DATOSFORMRESPUESTA/FECHA,3,2)"/>
															/
															20<xsl:value-of select="substring(DATOSFORMRESPUESTA/FECHA,1,2)"/>
														</td>
													</tr>
													
													<!-- HORA -->
													<tr>
														<td>&#160;</td>
														<td align="left" class="letra">
															&#160;Hora
														</td>
														<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
														<td align="left" class="letra">
															<xsl:value-of select="substring(DATOSFORMRESPUESTA/FECHA,7,2)"/>
															:
															<xsl:value-of select="substring(DATOSFORMRESPUESTA/FECHA,9,2)"/>
														</td>
													</tr>
													
													<tr>
														<td colspan="4">&#160;</td>
													</tr>
						
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>

					<!-- PAGO CON TARJETA -->
					<xsl:if test="//DATOSFORMRESPUESTA/PRESENTAPAGOTARJETA">
						<td width="10">
							&#160;
						</td>
						<td>
							<table cellpadding="0" cellspacing="0" border="0" width="320" height="150" bordercolor="#006B2F" align="center">
								<tr>
									<td>
										<font class="titulo">
											&#160;
										</font>
									</td>
								</tr>
								<tr>
									<td align="center">
										<b>
											<font class="titulo">
												&#160;PAGAMENT AMB TARGETA
											</font>
										</b> <br/>
									</td>
								</tr>
								<tr>
									<td>
										<font class="titulo">
											&#160;
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<table cellpadding="0" cellspacing="0" border="3" width="360" height="160" bordercolor="#006B2F">
											<tr>
												<td align="center">
													<table cellpadding="0" cellspacing="0" border="0" width="100%">
														<form name="formTarjeta" AUTOCOMPLETE="off"  method="POST" action="/sis/pagoTarjeta{$sesionId}">
															<tr>
																<td>
																	&#160;
																</td>
															</tr>
															<tr>
																<td align="left" class="letra">
																	&#160;N. Targeta
																</td>
																<td colspan="2">
																	<input AUTOCOMPLETE="off" name="Sis_Numero_Tarjeta" type="text" size="13" maxlength="19"/>
																</td>
															</tr>
															<tr>
																<td>
																	&#160;
																</td>
															</tr>
															<tr>
																<td align="left" class="letra">
																	&#160;Caducitat
																</td>
																<td class="letra2">
																	Mes <input AUTOCOMPLETE="off" name="Sis_Caducidad_Tarjeta_Mes" type="text" size="2" maxlength="2"/>
																</td>
																<td class="letra2">
																	Any <input AUTOCOMPLETE="off" name="Sis_Caducidad_Tarjeta_Anno" type="text" size="2" maxlength="2"/>
																</td>
															</tr>
															<tr>
																<td>
																	<font class="titulo">
																		&#160;
																	</font>
																</td>																	
															</tr>
															
															<xsl:if test="((SESION/RegTZF/CZFMPANT='3') or (SESION/RegTZF/CZFMPANT='4'))">
																<tr>
																	<td align="left" class="letra">
																		&#160;Cod. seguretat
																	</td>
																	<td colspan="2">
																		<table border="0">
																			<tr>
																				<td>
																		<!-- MODIFICACION IRJ 21-03-2006 -->
																					<input AUTOCOMPLETE="off" name="Sis_Tarjeta_CVV2" type="text" size="4" maxlength="4" />
																		<!-- FIN MODIFICACION IRJ 21-03-2006 -->
																				</td>
																				<td>
																					<a href="javascript:ventanaInfoCVV2();">
																						<img src='/sis/graficos/botones/9999cvv2.gif' border='0'/>
																					</a>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</xsl:if>
															
															
														</form>
													</table>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</xsl:if>					
				</tr>
				
				<!-- BOTON ACEPTAR -->
				<tr>
					<td colspan="5">
						<xsl:if test="//DATOSFORMRESPUESTA/PRESENTAPAGOTARJETA">
						<center>
							<br/><br/>
							<div id="divImgAceptar" style="position:relative">
								<a href="javascript:validar()" >
									<img name="imgAceptar" src="/sis/graficos/botones/9999aceptar3.gif" border="0" alt="Acceptar"/>
								</a>
							</div>
							<font color="#006B2F" style="font-size:13pt;">
								<div ID="realizandoPeticion"  style="position:relative;visibility:hide" >
									<center>
										Processant petici. Esperi resposta...
									</center>
								</div>
							</font>
						</center>
					</xsl:if>	
					</td>
				</tr>
				
				<!-- logos de MASTER y/o VISA-->
				<xsl:if test="(contains(SESION/listaCZ5LPAGOs,'#1#') or contains(SESION/listaCZ5LPAGOs,'#22#'))">
					<tr align="right">
						<td colspan="5" text-align="right">
							<!-- logo de MASTER-->
							<xsl:if test="contains(SESION/listaCZ5LPAGOs,'#22#')">
								<a href="javascript:ventanaInfoMaster()">
									<img src="/sis/graficos/logotipos/comunes/MastercardSecureCodeLearnMore1.gif" border="0"/>
								</a>
							</xsl:if>
							<!-- Fin de logo MASTER -->
							<!-- logo de VISA-->
							<xsl:if test="contains(SESION/listaCZ5LPAGOs,'#1#')">
								&#160;
								<a href="javascript:ventanaInfoVisa()">
									<img src="/sis/graficos/logotipos/comunes/VerifiedByVisaLearnMore1.gif" border="0"/>
								</a>
							</xsl:if>
							<!-- Fin de logo VISA -->	
						</td>
					</tr>
				</xsl:if>	
			<!-- Fin logos de MASTER y/o VISA-->
			</table>
		</center>
			
		
		<div id="capaServired" style="position:absolute;bottom:15px;left:10px;">
 			<img border="0" src="/sis/graficos/logotipos/comunes/logovacio.gif" />
 		</div>
	</xsl:template>
</xsl:stylesheet>
		
